# Uses of Interface
javax.lang.model.element.ModuleElement.UsesDirective

Packages that use ModuleElement.UsesDirective
Package
Description
javax.lang.model.element
Interfaces used to model elements of the Java programming language.
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

- ## Uses of ModuleElement.UsesDirective in javax.lang.model.element

  Methods in javax.lang.model.element with parameters of type ModuleElement.UsesDirective
  Modifier and Type
  Method
  Description
  `R`
  ModuleElement.DirectiveVisitor.`visitUses(ModuleElement.UsesDirective d, P p)`
  Visits a `uses` directive.

- ## Uses of ModuleElement.UsesDirective in javax.lang.model.util

  Methods in javax.lang.model.util that return types with arguments of type ModuleElement.UsesDirective
  Modifier and Type
  Method
  Description
  `static List<ModuleElement.UsesDirective>`
  ElementFilter.`usesIn(Iterable<? extends ModuleElement.Directive> directives)`
  Returns a list of `uses` directives in `directives`.